# Severity

@Incubating
enum Severity

A problem severity.

#### Since

8.6

## Entries

ADVICE
Link copied to clipboard
@Incubating
ADVICE
WARNING
Link copied to clipboard
@Incubating
WARNING
ERROR
Link copied to clipboard
@Incubating
ERROR

## Functions

toString
Link copied to clipboard
open fun toString(): String
valueOf
Link copied to clipboard
open fun valueOf(name: String): Severity

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Severity>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.